import {
  CREATE_PRICE_REQUEST,
  UPDATE_PRICE_REQUEST,
  DELETE_PRICE_REQUEST
} from "../../constants/price.constants";

export function createPriceRequest(postBody) {
  return {
    type: CREATE_PRICE_REQUEST,
    data: postBody
  };
}

export function updatePriceRequest(payload) {
  return {
    type: UPDATE_PRICE_REQUEST,
    data: payload
  };
}

export function deletePriceRequest(payload) {
  return {
    type: DELETE_PRICE_REQUEST,
    data: payload
  };
}
