import {
  CREATE_WORKTYPE_REQUEST,
  READ_WORKTYPE_REQUEST,
  UPDATE_WORKTYPE_REQUEST,
  DELETE_WORKTYPE_REQUEST
} from "../../constants/worktype.constants";

export function createWorktypeRequest(postBody) {
  return {
    type: CREATE_WORKTYPE_REQUEST,
    data: postBody
  };
}

export function readWorktypeRequest(payload) {
  return {
    type: READ_WORKTYPE_REQUEST,
    data: payload
  };
}

export function updateWorktypeRequest(payload) {
  return {
    type: UPDATE_WORKTYPE_REQUEST,
    data: payload
  };
}

export function deleteWorktypeRequest(payload) {
  return {
    type: DELETE_WORKTYPE_REQUEST,
    data: payload
  };
}
