import { put } from "./baseApi";

/**
 * Function wrapping PATCH request for updating employer information
 * @param {string} uuid - employer UUID
 * @param {boolean} approved - whether or not to approve employment relationship
 */
export function updateEmployer(uuid, approved) {
  return put(`/employer/${uuid}/`, { provider_approved: approved }).then(resp =>
    Promise.resolve(resp)
  );
}
