export const getEmployeeFromPrice = (priceUUID, selfUser) => {
  const employees = selfUser && selfUser.client && selfUser.client.employees;
  let matchEmployee = null;
  employees.forEach(employee => {
    const priceMatch = employee.prices.filter(price => {
      return price.uuid === priceUUID;
    });
    if (priceMatch.length > 0) {
      matchEmployee = employee;
    }
  });
  return matchEmployee;
};

export const getWorkTypeFromPrice = (priceUUID, selfUser) => {
  const employees = selfUser && selfUser.client && selfUser.client.employees;
  let matchWorkType = null;
  employees.forEach(employee => {
    employee.prices.forEach(price => {
      if (price.uuid === priceUUID) {
        matchWorkType = price.work_type;
      }
    });
  });
  return matchWorkType;
};

export const getPriceFromPrice = (priceUUID, selfUser) => {
  const employees = selfUser && selfUser.client && selfUser.client.employees;
  let matchPrice = null;
  employees.forEach(employee => {
    employee.prices.forEach(price => {
      if (price.uuid === priceUUID) {
        matchPrice = price;
      }
    });
  });
  return matchPrice;
};
