import { combineReducers } from "redux";
import authReducer from "./authReducer";
import userReducer from "./userReducer";
import worktypeReducer from "./worktypeReducer";
import employeeReducer from "./employeeReducer";
// import employerReducer from "./employerReducer"; // unused
import priceReducer from "./priceReducer";
import cShiftReducer from "./cShiftReducer";
import pShiftReducer from "./pShiftReducer";

const reducer = combineReducers({
  auth: authReducer,
  user: userReducer,
  worktype: worktypeReducer,
  employee: employeeReducer,
  // employer: employerReducer // unused
  price: priceReducer,
  cShift: cShiftReducer,
  pShift: pShiftReducer
});

export default reducer;
