import {
  SEND_REGISTER_REQUEST,
  SEND_EMAIL_VERIFICATION_REQUEST,
  SEND_LOGIN_REQUEST,
  SEND_LOGOUT_REQUEST,
  SEND_CHANGE_PASSWORD_REQUEST,
  SEND_FORGOT_PASSWORD_REQUEST,
  SEND_RESET_PASSWORD_REQUEST
} from "../../constants/auth.constants";

export function sendRegisterRequest(postBody) {
  return {
    type: SEND_REGISTER_REQUEST,
    data: postBody
  };
}

export function sendEmailVerificationRequest(postBody) {
  return {
    type: SEND_EMAIL_VERIFICATION_REQUEST,
    data: postBody
  };
}

export function sendLoginRequest(postBody) {
  return {
    type: SEND_LOGIN_REQUEST,
    data: postBody
  };
}

export function sendLogoutRequest() {
  return {
    type: SEND_LOGOUT_REQUEST
  };
}

export function sendChangePasswordRequest(postBody) {
  return {
    type: SEND_CHANGE_PASSWORD_REQUEST,
    data: postBody
  };
}

export function sendForgotPasswordRequest(postBody) {
  return {
    type: SEND_FORGOT_PASSWORD_REQUEST,
    data: postBody
  };
}

export function sendResetPasswordRequest(postBody) {
  return {
    type: SEND_RESET_PASSWORD_REQUEST,
    data: postBody
  };
}
