import {
  CREATE_EMPLOYEE_REQUEST,
  READ_EMPLOYEE_REQUEST,
  DELETE_EMPLOYEE_REQUEST
} from "../../constants/employee.constants";

export function createEmployeeRequest(postBody) {
  return {
    type: CREATE_EMPLOYEE_REQUEST,
    data: postBody
  };
}

export function readEmployeeRequest(payload) {
  return {
    type: READ_EMPLOYEE_REQUEST,
    data: payload
  };
}

export function deleteEmployeeRequest(payload) {
  return {
    type: DELETE_EMPLOYEE_REQUEST,
    data: payload
  };
}
