import {
  GET_SELF_USER_REQUEST,
  CREATE_USER_INFO_REQUEST,
  UPDATE_USER_INFO_REQUEST,
  CREATE_CLIENT_REQUEST,
  UPDATE_CLIENT_REQUEST,
  CREATE_PROVIDER_REQUEST,
  UPDATE_PROVIDER_REQUEST
} from "../../constants/user.constants";

export function getSelfUserRequest() {
  return {
    type: GET_SELF_USER_REQUEST
  };
}

export function createUserInfoRequest(postBody) {
  return {
    type: CREATE_USER_INFO_REQUEST,
    data: postBody
  };
}

export function updateUserInfoRequest(payload) {
  return {
    type: UPDATE_USER_INFO_REQUEST,
    data: payload
  };
}

export function createClientRequest(postBody) {
  return {
    type: CREATE_CLIENT_REQUEST,
    data: postBody
  };
}

export function updateClientRequest(payload) {
  return {
    type: UPDATE_CLIENT_REQUEST,
    data: payload
  };
}

export function createProviderRequest(postBody) {
  return {
    type: CREATE_PROVIDER_REQUEST,
    data: postBody
  };
}

export function updateProviderRequest(payload) {
  return {
    type: UPDATE_PROVIDER_REQUEST,
    data: payload
  };
}
