import { get, put } from "./baseApi";

export function getPShifts(params) {
  return get("/pshift/", params).then(resp => Promise.resolve(resp));
}

export function getPShift(uuid) {
  return get(`/pshift/${uuid}/`).then(resp => Promise.resolve(resp));
}

export function updatePShift(uuid, params) {
  return put(`/pshift/${uuid}/`, params).then(resp => Promise.resolve(resp));
}
