// Reducer User Action Constants
export const IS_SENDING_USER_REQUEST = "IS_SENDING_USER_REQUEST";
export const SET_USER_REQUEST_ERROR = "SET_USER_REQUEST_ERROR";
export const CLEAR_USER_REQUEST_ERROR = "CLEAR_USER_REQUEST_ERROR";
export const SET_USER_REQUEST_SUCCESS = "SET_USER_REQUEST_SUCCESS";
export const CLEAR_USER_REQUEST_SUCCESS = "CLEAR_USER_REQUEST_SUCCESS";
export const SET_SELF_USER = "SET_SELF_USER";
export const SET_COMPLETE_REGISTRATION_STEP = "SET_COMPLETE_REGISTRATION_STEP";
export const SET_COMPLETE_REGISTRATION_CLIENT_OR_PROVIDER =
  "SET_COMPLETE_REGISTRATION_CLIENT_OR_PROVIDER";
export const SET_FORM_PHONE_NUMBER = "SET_FORM_PHONE_NUMBER";
export const SET_FORM_BUSINESS_NUMBER = "SET_FORM_BUSINESS_NUMBER";
export const SET_FORM_SOCIAL_INSURANCE_NUMBER =
  "SET_FORM_SOCIAL_INSURANCE_NUMBER";
export const SET_EDIT_PROFILE_TAB_ACTIVE_INDEX =
  "SET_EDIT_PROFILE_TAB_ACTIVE_INDEX";
export const SET_CLEAR_USER_STATE = "SET_CLEAR_USER_STATE";

// Saga User Action Constants
export const GET_SELF_USER_REQUEST = "GET_SELF_USER_REQUEST";
export const CREATE_USER_INFO_REQUEST = "CREATE_USER_INFO_REQUEST";
export const UPDATE_USER_INFO_REQUEST = "UPDATE_USER_INFO_REQUEST";
export const CREATE_CLIENT_REQUEST = "CREATE_CLIENT_REQUEST";
export const UPDATE_CLIENT_REQUEST = "UPDATE_CLIENT_REQUEST";
export const CREATE_PROVIDER_REQUEST = "CREATE_PROVIDER_REQUEST";
export const UPDATE_PROVIDER_REQUEST = "UPDATE_PROVIDER_REQUEST";

// Misc. User Constants (int so we can mark prior as completed)
export const USER_INFO_STEP = 1;
export const CLIENT_OR_PROVIDER_STEP = 2;
export const COMPLETE_INFORMATION_STEP = 3;
export const CLIENT = "CLIENT";
export const PROVIDER = "PROVIDER";
